Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona Software > Software


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

[Solucionado][Problema] smart --gui no funciona
  #1  
Antiguo 28-mar-2008, 05:09
Avatar de gabop
gabop gabop está desconectado
Habitual
 
Fecha de Ingreso: 28-abril-2006
Versión: 12.1
Mensajes: 196
Agradecimientos: 22
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 12
gabop está en el buen camino
Question [Solucionado][Problema] smart --gui no funciona

Amigos:
De un dia para otro dejó de funcionarme la interfaz gráfica de smart.
El error que recibo es el siguiente:
error: El sistema no tiene soporte para la interfaz gtk python
No puedo encontrar que paquete me está faltando, ya que python-gtk está instalado.
Alguna idea de que es lo que ocurre, y como lo puedo solucionar?
Saludos.
__________________
El Gabo.
--------------------
[OpenSUSE 12.1 x86_64 user]
--------------------
AMD Athlon 64 X2 5200+ | 4GB RAM DDR2 800 MHZ Dual Channel | Nvidia 8400 GS 512 MB
--------------------
Mi blog de Linux: [VivaTUX]

Última edición por gabop; 29-mar-2008 a las 06:55 Razón: solucionado
Responder Citando
  #2  
Antiguo 28-mar-2008, 05:28
Avatar de mukenio
mukenio mukenio está desconectado
Habitual
 
Fecha de Ingreso: 16-marzo-2006
Ubicación: Bahia Blanca, Argentina
Versión: OpenSuse 11
Mensajes: 286
Agradecimientos: 2
Agradecido 15 Veces en 14 Mensajes
Poder de Credibilidad: 12
mukenio está en el buen camino
Enviar un mensaje por MSN a mukenio
Trata de actualizar python-gtk o cambiar de version a una mas antigua. Yo lo solucione con esto ultimo.Saludos
Responder Citando
  #3  
Antiguo 28-mar-2008, 19:10
Avatar de head777
head777 head777 está desconectado
Miembro Senior
 
Fecha de Ingreso: 11-octubre-2006
Ubicación: /home/head-777
Versión: 10.2
Mensajes: 764
Agradecimientos: 0
Agradecido 2 Veces en 2 Mensajes
Poder de Credibilidad: 12
head777 está en el buen camino
Por que no pruebas desinstalarlo y trata de instalarlo desde aqui, http://software.opensuse.org/search
__________________

Responder Citando
  #4  
Antiguo 28-mar-2008, 19:59
Avatar de larva_pro
larva_pro larva_pro está desconectado
Miembro Junior
 
Fecha de Ingreso: 15-agosto-2006
Mensajes: 645
Agradecimientos: 1
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 12
larva_pro está en el buen camino
tambien pudieras intentar desinstalar Smart y volverlo a instalar.
__________________
Responder Citando
  #5  
Antiguo 28-mar-2008, 20:36
Avatar de gabop
gabop gabop está desconectado
Habitual
 
Fecha de Ingreso: 28-abril-2006
Versión: 12.1
Mensajes: 196
Agradecimientos: 22
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 12
gabop está en el buen camino
Exclamation

No hay caso, probé de las dos formas.
Intenté volver a la versión de los repositorios oficiales de Suse, la 0.51.
Y no puedo volver a una versión anterior de python gtk ya que es la única que hay.
Este es el error que obtengo ahora:
Código:
gabiyo@kgabiyo:~> sudo smart --gui
Contraseña:
/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:69: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:36: Warning: invalid (NULL) pointer instance
  gtk.Window.__init__(self)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:36: Warning: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
  gtk.Window.__init__(self)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:50: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin = gtk.ScrolledWindow()
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_pango_context_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_font_description: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_base_dir: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_language: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: Warning: g_object_unref: assertion `G_IS_OBJECT (object)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_screen_get_display: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_keymap_get_for_display: assertion `GDK_IS_DISPLAY (display)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: Warning: g_object_get: assertion `G_IS_OBJECT (object)' failed
  self._scrollwin.add(self._textview)
Violación de segmento
gabiyo@kgabiyo:~> sudo smart --gui
/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:69: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:36: Warning: invalid (NULL) pointer instance
  gtk.Window.__init__(self)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:36: Warning: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
  gtk.Window.__init__(self)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:50: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin = gtk.ScrolledWindow()
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_pango_context_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_font_description: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_base_dir: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_language: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: Warning: g_object_unref: assertion `G_IS_OBJECT (object)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_screen_get_display: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_keymap_get_for_display: assertion `GDK_IS_DISPLAY (display)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: Warning: g_object_get: assertion `G_IS_OBJECT (object)' failed
  self._scrollwin.add(self._textview)
Violación de segmento
gabiyo@kgabiyo:~> sudo smart --gui
Contraseña:
/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:69: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:36: Warning: invalid (NULL) pointer instance
  gtk.Window.__init__(self)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:36: Warning: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
  gtk.Window.__init__(self)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:50: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin = gtk.ScrolledWindow()
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_pango_context_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_font_description: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_base_dir: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: PangoWarning: pango_context_set_language: assertion `context != NULL' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: Warning: g_object_unref: assertion `G_IS_OBJECT (object)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_screen_get_display: assertion `GDK_IS_SCREEN (screen)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: GtkWarning: gdk_keymap_get_for_display: assertion `GDK_IS_DISPLAY (display)' failed
  self._scrollwin.add(self._textview)
/usr/lib64/python2.5/site-packages/smart/interfaces/gtk/log.py:59: Warning: g_object_get: assertion `G_IS_OBJECT (object)' failed
  self._scrollwin.add(self._textview)
Violación de segmento
__________________
El Gabo.
--------------------
[OpenSUSE 12.1 x86_64 user]
--------------------
AMD Athlon 64 X2 5200+ | 4GB RAM DDR2 800 MHZ Dual Channel | Nvidia 8400 GS 512 MB
--------------------
Mi blog de Linux: [VivaTUX]
Responder Citando
  #6  
Antiguo 28-mar-2008, 21:16
RedDwarf RedDwarf está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 11-mayo-2006
Versión: openSUSE 12.1
Mensajes: 1.531
Agradecimientos: 0
Agradecido 29 Veces en 26 Mensajes
Poder de Credibilidad: 13
RedDwarf está en el buen camino
Cita:
$ rpm -q --whatprovides $(rpm -qR smart smart-gui | grep -v rpmlib | sed 's/ .*//') | sort | uniq
glibc-2.6.1-18.3
python-2.5.1-39.2
python-gtk-2.10.6-25
python-xml-2.5.1-39.2
rpm-python-4.4.2-164
smart-0.52-28.1
Y funciona...
Responder Citando
  #7  
Antiguo 29-mar-2008, 00:35
Avatar de gabop
gabop gabop está desconectado
Habitual
 
Fecha de Ingreso: 28-abril-2006
Versión: 12.1
Mensajes: 196
Agradecimientos: 22
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 12
gabop está en el buen camino
Thumbs down

No hay caso, me sigue tirando el error que dije antes.
Verifiqué las versiones con ese comando, y hasta instalé manualmente el paquete de smart para la versión que ahi indica.
Voy a seguir probando, mientras las sugerencias serán bienvenidas, espero no tener que terminar compilando todo como con aMSN .
Saludos y gracias.
__________________
El Gabo.
--------------------
[OpenSUSE 12.1 x86_64 user]
--------------------
AMD Athlon 64 X2 5200+ | 4GB RAM DDR2 800 MHZ Dual Channel | Nvidia 8400 GS 512 MB
--------------------
Mi blog de Linux: [VivaTUX]
Responder Citando
  #8  
Antiguo 29-mar-2008, 01:36
RedDwarf RedDwarf está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 11-mayo-2006
Versión: openSUSE 12.1
Mensajes: 1.531
Agradecimientos: 0
Agradecido 29 Veces en 26 Mensajes
Poder de Credibilidad: 13
RedDwarf está en el buen camino
También estamos de acuerdo en la arquitectura?
Cita:
$ rpm -q --whatprovides --qf '%{N}-%{V}-%{R}@%{ARCH}\n' $(rpm -qR smart smart-gui | grep -v rpmlib | sed 's/ .*//') | sort | uniq
glibc-2.6.1-18.3@x86_64
python-2.5.1-39.2@x86_64
python-gtk-2.10.6-25@x86_64
python-xml-2.5.1-39.2@x86_64
rpm-python-4.4.2-164@x86_64
smart-0.52-28.1@x86_64
Y
Cita:
$ rpm -V `rpm -q --whatprovides $(rpm -qR smart smart-gui | grep -v rpmlib | sed 's/ .*//') | sort | uniq`
..?..... /usr/sbin/glibc_post_upgrade
?
Responder Citando
  #9  
Antiguo 29-mar-2008, 02:24
Avatar de gabop
gabop gabop está desconectado
Habitual
 
Fecha de Ingreso: 28-abril-2006
Versión: 12.1
Mensajes: 196
Agradecimientos: 22
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 12
gabop está en el buen camino
Thumbs up

Ahora lo pruebo RedDwarf.
Descubrí algo bastante extraño.
Lo ejecuté en consola con
Código:
smart --gui
Y anduvo bien, pero en modo de solo lectura obviamente.
El tema es cuando intento ejecutar
Código:
sudo smart --gui
Ahi me arroja ese error que dije antes.

Edito:
el segundo comando que decís arroja esto
Código:
gabiyo@kgabiyo:~> rpm -V `rpm -q --whatprovides $(rpm -qR smart smart-gui | grep -v rpmlib | sed 's/ .*//') | sort | uniq`
S.5....T  c /etc/ld.so.conf
..?.....    /usr/sbin/glibc_post_upgrade
Edito 2:
Los requerimientos aparentemente están bien, voy a ver si puedo debuguear un poco.

Edito 3:
No se como pero se solucionó, sigo sin saber que fue lo que toqué, seguramente borré la configuración de smart o ocurrió durante alguna de las actualizaciones.
Agrego solucionado al título del tópico, gracias a todos por su ayuda.
__________________
El Gabo.
--------------------
[OpenSUSE 12.1 x86_64 user]
--------------------
AMD Athlon 64 X2 5200+ | 4GB RAM DDR2 800 MHZ Dual Channel | Nvidia 8400 GS 512 MB
--------------------
Mi blog de Linux: [VivaTUX]

Última edición por gabop; 29-mar-2008 a las 06:16
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Ayuda con Smart NOERADIOS Software 2 27-dic-2007 11:32
problemas con SMART ocamaleon Software 1 29-jun-2007 23:44
como actualizar el suse 10.1 con el smart? cangri Software 5 16-oct-2006 21:21
Smart upgrade Mdk Software 7 02-sep-2006 18:40
Mas problemas con smart NoNY-D Software 3 26-ago-2006 22:24



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 07:03.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba